Bug 224535 - Update www/libmicrohttpd to 0.9.58
Summary: Update www/libmicrohttpd to 0.9.58
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-12-23 05:57 UTC by Greg Fitzgerald
Modified: 2017-12-29 23:04 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gaod)


Attachments
libmicrohttpd.diff (1.00 KB, patch)
2017-12-23 05:57 UTC, Greg Fitzgerald
no flags Details | Diff
new diff file (2.49 KB, patch)
2017-12-24 07:58 UTC, Jochen Neumeister
gaod: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2017-12-23 05:57:55 UTC
Created attachment 189047 [details]
libmicrohttpd.diff
Comment 1 Jochen Neumeister freebsd_committer 2017-12-24 07:58:14 UTC
Created attachment 189074 [details]
new diff file

There was still an entry for pkg-list. I switched to pkg-plist.
Switch from http to https in pkg-descr
Works fine in FreeBSD 10.4, 11.1 and CURRENT (always amd64 / i386)
Comment 2 Hung-Yi Chen 2017-12-27 15:09:17 UTC
Seems okay for me.

My someone help to commit it?
Comment 3 Jochen Neumeister freebsd_committer 2017-12-27 17:00:24 UTC
(In reply to Hung-Yi Chen from comment #2)

Heya,

can you please go to "Details" for the Patch and set maintainer-approval to "+"?
Comment 4 commit-hook freebsd_committer 2017-12-29 23:02:11 UTC
A commit references this bug:

Author: joneum
Date: Fri Dec 29 23:01:44 UTC 2017
New revision: 457552
URL: https://svnweb.freebsd.org/changeset/ports/457552

Log:
  www/libmicrohttpd from 0.9.52 to 0.9.58

  switch to pkg-plist and from http to https in pkg-descr

  Changelog:
   * Better support for automatic port detection for sockets provided by
    MHD_OPTION_LISTEN_SOCKET option.
   * Documentation installation fixes.
   * Removed usage of 3DES mode from test-suite to avoid test failures on
    modern platforms.
   * Minor compiler warning fix.

  PR:		224535
  Reported by:	Greg Fitzgerald <gregf@hugops.pw)
  Approved by:	Hung-Yi Chen <gaod@hychen.org> (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13676

Changes:
  head/www/libmicrohttpd/Makefile
  head/www/libmicrohttpd/distinfo
  head/www/libmicrohttpd/pkg-descr
  head/www/libmicrohttpd/pkg-plist